Bug 101440 - Tooltips text cramped on a single line in Template Manager
Summary: Tooltips text cramped on a single line in Template Manager
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2016-08-10 18:36 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-08-31 17:30 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshot (85.46 KB, image/png)
2016-08-10 18:36 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-08-10 18:36:37 UTC
Created attachment 126730 [details]
screenshot

So this happens in windows and gtk2 but not on gtk3.

Solution: Add a space after the template title it isnt touching 'Category: '.

Version: 5.3.0.0.alpha0+
Build ID: dd612a61f9df81343ed5f810068002a7a25046a7
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-07_03:40:32
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Thomas Hackert 2016-08-12 15:40:00 UTC
Hello Jay, *,
I can confirm it with
OS: Debian Testing AMD64
LO: Version: 5.2.0.4
Build ID: 066b007f5ebcc236395c7d282ba488bca6720265
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
Locale: de-DE (de_DE.UTF-8)

and

Version: 5.2.1.1
Build ID: 2d75cf29e6d05e44c404f0547047f1da6563d380
CPU Threads: 4; OS Version: Linux 4.5; UI Render: default; 
Locale: de-DE (de_DE.UTF-8); Calc: group
(both parallel installed. following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux)

so setting Status to "New" ... ;) This bug is not only en_US related but also with de_DE and maybe other locales ... :(
HTH
Thomas.
Comment 2 Commit Notification 2016-08-16 08:21:01 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c505ec78ddf97fbcb6e39b7865df5a455d41bf38

tdf#101440 Better rendering of tooltip in gtk2 and windows

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-08-31 17:30:38 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89a0365082e6ba9c255c2f7d69b537bb9936d848

Revert "tdf#101440 Better rendering of tooltip in gtk2 and windows"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.